OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.SparseTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBSparseTexture :: MonadIO m => m Bool
- gl_ARB_sparse_texture :: Bool
- pattern GL_MAX_SPARSE_3D_TEXTURE_SIZE_ARB :: GLenum
- pattern GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS_ARB :: GLenum
- pattern GL_MAX_SPARSE_TEXTURE_SIZE_ARB :: GLenum
- pattern GL_NUM_SPARSE_LEVELS_ARB :: GLenum
- pattern GL_NUM_VIRTUAL_PAGE_SIZES_ARB :: GLenum
- pattern GL_SPARSE_TEXTURE_FULL_ARRAY_CUBE_MIPMAPS_ARB :: GLenum
- pattern GL_TEXTURE_SPARSE_ARB :: GLenum
- pattern GL_VIRTUAL_PAGE_SIZE_INDEX_ARB :: GLenum
- pattern GL_VIRTUAL_PAGE_SIZE_X_ARB :: GLenum
- pattern GL_VIRTUAL_PAGE_SIZE_Y_ARB :: GLenum
- pattern GL_VIRTUAL_PAGE_SIZE_Z_ARB :: GLenum
- glTexPageCommitmentARB :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()

# Extension Support

glGetARBSparseTexture :: MonadIO m => m Bool Source #

Is the ARB_sparse_texture extension supported?

gl_ARB_sparse_texture :: Bool Source #

Is the ARB_sparse_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBSparseTexture` in those cases instead.

# Enums

pattern GL_MAX_SPARSE_3D_TEXTURE_SIZE_ARB :: GLenum Source #

pattern GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS_ARB :: GLenum Source #

pattern GL_MAX_SPARSE_TEXTURE_SIZE_ARB :: GLenum Source #

pattern GL_NUM_SPARSE_LEVELS_ARB :: GLenum Source #

pattern GL_NUM_VIRTUAL_PAGE_SIZES_ARB :: GLenum Source #

pattern GL_SPARSE_TEXTURE_FULL_ARRAY_CUBE_MIPMAPS_ARB :: GLenum Source #

pattern GL_TEXTURE_SPARSE_ARB :: GLenum Source #

pattern GL_VIRTUAL_PAGE_SIZE_INDEX_ARB :: GLenum Source #

pattern GL_VIRTUAL_PAGE_SIZE_X_ARB :: GLenum Source #

pattern GL_VIRTUAL_PAGE_SIZE_Y_ARB :: GLenum Source #

pattern GL_VIRTUAL_PAGE_SIZE_Z_ARB :: GLenum Source #

# Functions

glTexPageCommitmentARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `zoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `commit` of type Boolean.
-> m () |